cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From vladimir-kotikov <...@git.apache.org>
Subject [GitHub] cordova-lib pull request: CB-10518 Correct log level and error mes...
Date Fri, 12 Feb 2016 20:28:10 GMT
Github user vladimir-kotikov commented on a diff in the pull request:

    https://github.com/apache/cordova-lib/pull/383#discussion_r52794281
  
    --- Diff: cordova-lib/src/cordova/run.js ---
    @@ -44,7 +44,7 @@ module.exports = function run(options) {
         }).then(function() {
             return hooksRunner.fire('after_run', options);
         }, function(error) {
    -        events.emit('log', 'ERROR running one or more of the platforms: ' + error + '\nYou
may not have the required environment or OS to run this project');
    +        events.emit('warn', 'ERROR running one or more of the platforms: ' + error +
'\nYou may not have the required environment or OS to run this project');
    --- End diff --
    
    As in the first comment I'm not sure if we should emit this here because it is not consistent
and not very informative. Maybe rethrow with this message. @nikhilkh, what do you think?


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@cordova.apache.org
For additional commands, e-mail: dev-help@cordova.apache.org


Mime
View raw message